<?php

namespace Icinga\Editor;

/**
 * Založení nového accoutu
 *
 * @package IcingaEditor
 */
require_once 'includes/IEInit.php';

$process = false;

$firstname     = $oPage->getRequestValue('firstname');
$lastname      = $oPage->getRequestValue('lastname');
$email_address = $oPage->getPostValue('email_address');
$login         = $oPage->getPostValue('login');
$password      = $oPage->getPostValue('password');
$confirmation  = $oPage->getPostValue('confirmation');


if ($oPage->isPosted()) {
    $process = true;

    $emailAddress = addslashes(strtolower($_POST['email_address']));

    if (isset($_POST['parent'])) {
        $customerParent = addslashes($_POST['parent']);
    } else {
        $customerParent = $oUser->getUserID();
    }
    $login = addslashes($_POST['login']);
    if (isset($_POST['password'])) {
        $password = addslashes($_POST['password']);
    }
    if (isset($_POST['confirmation'])) {
        $confirmation = addslashes($_POST['confirmation']);
    }

    $error = false;

    if (strlen($emailAddress) < 5) {
        $error = true;
        $oUser->addStatusMessage(_('mailová adresa je příliš krátká'), 'warning');
    } else {

        if (!filter_var($emailAddress, FILTER_VALIDATE_EMAIL)) {
            $error = true;
            $oUser->addStatusMessage(_('chyba v mailové adrese'), 'warning');
        } else {
            $check_email = \Ease\Shared::db()->queryToValue("SELECT COUNT(*) AS total FROM user WHERE email = '".$oPage->EaseAddSlashes($emailAddress)."'");
            if ($check_email > 0) {
                $error = true;
                $oUser->addStatusMessage(sprintf(_('Mailová adresa %s je již zaregistrována'),
                        $emailAddress), 'warning');
            }
        }
    }

    if (strlen($password) < 5) {
        $error = true;
        $oUser->addStatusMessage(_('heslo je příliš krátké'), 'warning');
    } elseif ($password != $confirmation) {
        $error = true;
        $oUser->addStatusMessage(_('kontrola hesla nesouhlasí'), 'warning');
    }

    $usedLogin = \Ease\Shared::db()->QueryToValue('SELECT id FROM user WHERE login=\''.$oPage->EaseAddSlashes($login).'\'');
    if ($usedLogin) {
        $error = true;
        $oUser->addStatusMessage(sprintf(_('Zadané uživatelské jméno %s je již v databázi použito. Zvolte prosím jiné.'),
                $login), 'warning');
    }

    if ($error == false) {

        $newOUser = new User();
        //TODO zde by se měly doplnit defaultní hodnoty z konfiguráku registry.php
        $newOUser->setData(
            [
                'email' => $emailAddress,
                'parent' => (int) $customerParent,
                'login' => $login,
                'firstname' => $firstname,
                'lastname' => $lastname
            ]
        );

        $userID = $newOUser->insertToSQL();

        if (!is_null($userID)) {
            $newOUser->setMyKey($userID);
            $newOUser->passwordChange($password);

            if ($userID == 0) {
                $newOUser->setSettingValue('admin', TRUE);
                $oUser->addStatusMessage(_('Administrátirský účet byl vytvořen'),
                    'success');
                $newOUser->saveToSQL();
            } else {
                $oUser->addStatusMessage(_('Uživatelský účet byl vytvořen'),
                    'success');
            }

            system('sudo htpasswd -b /etc/icinga/htpasswd.users '.$newOUser->getUserLogin().' '.$password);

            $newOUser->loginSuccess();

            $email = $oPage->addItem(new \Ease\Mailer($newOUser->getDataValue('email'),
                _('Potvrzení registrace')));
            $email->setMailHeaders(['From' => EMAIL_FROM]);
            $email->addItem(new \Ease\Html\Div("Právě jste byl/a zaregistrován/a do Aplikace Monitoring s těmito přihlašovacími údaji:\n"));
            $email->addItem(new \Ease\Html\Div(' Login: '.$newOUser->GetUserLogin()."\n"));
            $email->addItem(new \Ease\Html\Div(' Heslo: '.$_POST['password']."\n"));
            $email->send();

            $email = $oPage->addItem(new \Ease\Mailer(SEND_INFO_TO,
                sprintf(_('Nová registrace do Monitoringu: %s'),
                    $newOUser->GetUserLogin())));
            $email->setMailHeaders(['From' => EMAIL_FROM]);
            $email->addItem(new \Ease\Html\Div(_("Právě byl zaregistrován nový uživatel:\n")));
            $email->addItem(new \Ease\Html\Div(
                ' Login: '.$newOUser->GetUserLogin()."\n", ['id' => 'login']));
            $email->addItem($newOUser->customerAddress);
            $email->send();

            \Ease\Shared::user($newOUser)->loginSuccess();

            $contact   = new Engine\Contact();
            $contact->setData(
                [
                    'contact_name' => $login,
                    'use' => 'generic-contact',
                    $contact->userColumn => $userID,
                    'generate' => true,
                    'host_notifications_enabled' => true,
                    'service_notifications_enabled' => true,
                    'host_notification_period' => '24x7',
                    'service_notification_period' => '24x7',
                    'service_notification_options' => ' w,u,c,r',
                    'host_notification_options' => 'd,u,r',
                    'service_notification_commands' => 'notify-service-by-email',
                    'host_notification_commands' => 'notify-host-by-email',
                    'register' => 1]
            );
            $contactID = $contact->saveToSQL();
            if ($contactID) {
                $oUser->addStatusMessage(_('Výchozí kontakt byl založen'),
                    'success');
            } else {
                $oUser->addStatusMessage(_('Výchozí kontakt nebyl založen'),
                    'warning');
            }

            $mailID = $contact->fork(['email' => $emailAddress]);
            if ($mailID) {
                $oUser->addStatusMessage(_('Mailový kontakt byl založen'),
                    'success');
            } else {
                $oUser->addStatusMessage(_('Mailový kontakt nebyl založen'),
                    'warning');
            }

            $contactGroup = new Engine\Contactgroup();
            $contactGroup->setData(['contactgroup_name' => _('Skupina').'_'.$login,
                'alias' => _('Skupina').'_'.$login, 'generate' => true, $contactGroup->userColumn => $userID]);
            $contactGroup->addMember('members', $contactID, $login);
            $contactGroup->addMember('members', $mailID, $contact->getName());
            $cgID         = $contactGroup->saveToSQL();

            if ($cgID) {
                $oUser->addStatusMessage(_('Prvotní kontaktní skupina byla založena'),
                    'success');
            } else {
                $oUser->addStatusMessage(_('Prvotní kontaktní skupina nebyla založena'),
                    'warning');
            }

            $hostGroup = new Engine\Hostgroup;
            $hostGroup->setName($newOUser->getUserLogin());
            $hostGroup->setDataValue('alias',
                _('Výchozí skupina').' '.$newOUser->getUserLogin());
            $hostGroup->setDataValue('generate', true);
            $hostGroup->setUpUser($newOUser);
            $hostGroup->insertToSQL();

            $oPage->redirect('wizard-host.php');
            exit;
        } else {
            $oUser->addStatusMessage(_('Zápis do databáze se nezdařil!'),
                'error');
            $email = $oPage->addItem(new EaseMail(constant('SEND_ORDERS_TO'),
                'Registrace uzivatel se nezdařila'));
            $email->addItem(new \Ease\Html\DivTag('Fegistrace',
                $oPage->PrintPre($CustomerData)));
            $email->send();
        }
    }
}

$oPage->addItem(new UI\PageTop(_('Registrace')));
$oPage->addPageColumns();

$oPage->columnI->addItem(new \Ease\Html\H2Tag(_('Vítejte v registraci')));
$oPage->columnI->addItem(
    new \Ease\Html\UlTag(
    [
    _('Po zaregistování budete rovnou vyzváni k zadání prvního sledovaného hosta.'),
    _('Veškeré notifikace o výsledcích testů vám budou přicházet na zadaný email.'),
    _('Pro zasílání notifikací pomocí XMPP (jabber) či SMS, zadejte tyto v nastavení vašeho kontaktu.')
    ]
    )
);

$regFace = $oPage->columnII->addItem(new \Ease\Html\Div());

$regForm = $regFace->addItem(new \Ease\TWB\Form('create_account',
    'createaccount.php', 'POST', null, ['class' => 'form-horizontal']));
if ($oUser->getUserID()) {
    $regForm->addItem(new \Ease\Html\InputHiddenTag('u_parent',
        $oUser->GetUserID()));
}

$regForm->addInput(new \Ease\Html\InputTextTag('firstname', $firstname),
    _('Jméno'));
$regForm->addInput(new \Ease\Html\InputTextTag('lastname', $lastname),
    _('Příjmení'));

$regForm->addItem(new \Ease\Html\H3Tag(_('Účet')));

$regForm->addInput(
    new \Ease\Html\InputTextTag('login', $login), _('Login'), null, _('Requied'));
$regForm->addInput(
    new \Ease\Html\InputPasswordTag('password', $password), _('Password'), null,
    _('Requied'));
$regForm->addInput(
    new \Ease\Html\InputPasswordTag('confirmation', $confirmation),
    _('Password confirm'), null, _('Requied'));
$regForm->addInput(
    new \Ease\Html\InputTextTag('email_address', $email_address,
    ['type' => 'email']), _('Email Address'));

$regForm->addItem(new \Ease\Html\Div(
    new \Ease\Html\InputSubmitTag('Register', _('Registrovat'),
    ['title' => _('dokončit registraci'), 'class' => 'btn btn-success'])));

if (isset($_POST)) {
    $regForm->fillUp($_POST);
}

$oPage->addItem(new UI\PageBottom());
$oPage->draw();
